Bug 738807 - [abrt] dmapd-0.0.37-1.fc16: Process /usr/sbin/dmapd was killed by signal 11 (SIGSEGV)
Summary: [abrt] dmapd-0.0.37-1.fc16: Process /usr/sbin/dmapd was killed by signal 11 (...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dmapd
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: W. Michael Petullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aeda943235d5e3f05f9d080de90...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 20:58 UTC by Matteo Settenvini
Modified: 2012-04-07 20:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-07 20:28:28 UTC


Attachments (Terms of Use)

Description Matteo Settenvini 2011-09-15 20:58:25 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        dmapd --help
comment:        Just launching the program on a terminal as "dmapd --help". By the way, the package dmapd should be updated (last dmapd release is 0.0.42).
crash_function: photo_meta_reader_get_option_group
executable:     /usr/sbin/dmapd
kernel:         3.1.0-0.rc5.git0.0.fc16.x86_64
reason:         Process /usr/sbin/dmapd was killed by signal 11 (SIGSEGV)
time:           Thu Sep 15 22:35:57 2011
uid:            1000
username:       matteo

backtrace:
:[New LWP 27803]
:warning: Ignoring non-absolute filename: <linux-vdso.so.1>
:Missing separate debuginfo for linux-vdso.so.1
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/6f/177e29f3ed52a7a2486f0fbd1ba4e3adefd384 /var/cache/abrt-di/usr/lib/debug/.build-id/6f/177e29f3ed52a7a2486f0fbd1ba4e3adefd384
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `dmapd --help'.
:Program terminated with signal 11, Segmentation fault.
:#0  photo_meta_reader_get_option_group (reader=0x0) at photo-meta-reader.c:42
:42		return PHOTO_META_READER_GET_CLASS (reader)->get_option_group (reader);
:
:Thread 1 (Thread 0x7f27a18e17c0 (LWP 27803)):
:#0  photo_meta_reader_get_option_group (reader=0x0) at photo-meta-reader.c:42
:No locals.
:#1  0x0000000000402023 in main (argc=2, argv=0x7fff1f9cebe8) at dmapd.c:489
:        group = <optimized out>
:        error = 0x0
:        context = 0x1bb9d40
:        av_meta_reader = 0x1baf300 [AVMetaReaderGst]
:        photo_meta_reader = 0x0
:        share = {0x0, 0x0}
:From                To                  Syms Read   Shared Object Library
:                                        No          linux-vdso.so.1
:0x00007f27a1b28580  0x00007f27a1b2d5dc  Yes         /usr/lib64/libdmapd.so.0.0.37
:0x00007f27a18fb0d0  0x00007f27a190e658  Yes         /usr/lib64/libdmapsharing-3.0.so.2.9.12
:0x00000037c62189e0  0x00000037c624de38  Yes         /usr/lib64/libsoup-2.4.so.1.4.0
:0x00000037c4e244e0  0x00000037c4ea2d4c  Yes         /usr/lib64/libgstreamer-0.10.so.0.29.0
:0x00000037b462c120  0x00000037b46ee1d8  Yes         /lib64/libgio-2.0.so.0.2990.0
:0x00000037b3201020  0x00000037b3201fc8  Yes         /lib64/libgmodule-2.0.so.0.2990.0
:0x00000037b7a2c980  0x00000037b7b1006c  Yes         /usr/lib64/libxml2.so.2.7.8
:0x00000037b2a09dd0  0x00000037b2a3b328  Yes         /lib64/libgobject-2.0.so.0.2990.0
:0x00000037b26015a0  0x00000037b2602ad8  Yes         /lib64/libgthread-2.0.so.0.2990.0
:0x00000037b0e02280  0x00000037b0e05708  Yes         /lib64/librt-2.14.90.so
:0x00000037b1e17870  0x00000037b1eb0188  Yes         /lib64/libglib-2.0.so.0.2990.0
:0x00000037b06056b0  0x00000037b0610af8  Yes         /lib64/libpthread-2.14.90.so
:0x00000037afe1ee30  0x00000037aff557f0  Yes         /lib64/libc-2.14.90.so
:0x00000037b8e06270  0x00000037b8e19c08  Yes (*)     /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x00000037b5a048c0  0x00000037b5a1eb38  Yes (*)     /usr/lib64/libpng12.so.0
:0x00000037b0203ef0  0x00000037b0243ee8  Yes         /lib64/libm-2.14.90.so
:0x00000037c66033e0  0x00000037c66086e8  Yes (*)     /usr/lib64/libavahi-common.so.3
:0x00000037c6e03920  0x00000037c6e0c438  Yes (*)     /usr/lib64/libavahi-client.so.3
:0x00000037c7200ce0  0x00000037c7201b08  Yes (*)     /usr/lib64/libavahi-glib.so.1
:0x00000037cd402d30  0x00000037cd4082cc  Yes (*)     /usr/lib64/libgstapp-0.10.so.0
:0x00000037c8e0a4e0  0x00000037c8e39d3c  Yes         /usr/lib64/libgstbase-0.10.so.0.29.0
:0x00000037b1601e70  0x00000037b160e66c  Yes (*)     /lib64/libz.so.1
:0x00000037b0a00de0  0x00000037b0a01918  Yes         /lib64/libdl-2.14.90.so
:0x00000037b2e01890  0x00000037b2e05ff8  Yes (*)     /usr/lib64/libffi.so.5
:0x00000037b1a05c50  0x00000037b1a15e48  Yes (*)     /lib64/libselinux.so.1
:0x00000037b2203900  0x00000037b22139e8  Yes         /lib64/libresolv-2.14.90.so
:0x00000037afa00b20  0x00000037afa1a18a  Yes         /lib64/ld-2.14.90.so
:0x00000037b4a076f0  0x00000037b4a306c8  Yes (*)     /lib64/libdbus-1.so.3
:0x00007f27a16de990  0x00007f27a16dfa0c  Yes         /usr/lib64/dmapd/0.0.37/modules/libav-meta-reader-gst.so
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x1bbe390	29090704
:rcx            0x7f27a18e17c0	139808190896064
:rdx            0x0	0
:rsi            0x1bbe390	29090704
:rdi            0x0	0
:rbp            0x0	0x0
:rsp            0x7fff1f9cea98	0x7fff1f9cea98
:r8             0x1bbe530	29091120
:r9             0x1	1
:r10            0x7fff1f9ce830	140733723764784
:r11            0x7f27a1b2d590	139808193303952
:r12            0x1baf300	29029120
:r13            0x1bb9d40	29072704
:r14            0x0	0
:r15            0x0	0
:rip            0x7f27a1b2d590	0x7f27a1b2d590 <photo_meta_reader_get_option_group>
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function photo_meta_reader_get_option_group:
:=> 0x00007f27a1b2d590 <+0>:	mov    (%rdi),%rax
:   0x00007f27a1b2d593 <+3>:	mov    0x90(%rax),%rax
:   0x00007f27a1b2d59a <+10>:	jmpq   *%rax
:End of assembler dump.

build_ids:
:bce8fb6913e0b658c53b896b05d075af7fa5cf73
:d98effe16005167bb9e025c7a945702c35e4f1dc
:934bb835b5075f81fdfb713b49281ce9aaf49f59
:76bb1d8d017f41044bcb4636d7d221bf839d6f05
:1faa4e1b0ae67bd30ee556f4f196d3849982ed68
:98fa95d21e16075ada6df19748c6c133ee9165d0
:44d2a1c0586b802227b65218daca435b4df8e3fa
:272c7387b08b8a01285474b206e2cec985362d41
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:36fb2078b30189030ebe6c20e194c4c4da7d35bd
:96d618421416810fa0d3e21ea427d5b1e63ad6f2
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:e98a4ecd75128a0ec734ef14699d2b02d5d63f6d
:baa8b6700debb4a3b6fa10e629b5eccdf234a1fd
:8766b181f3278d39d876c0376ba5ca7573b84304
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:ba911c0340df71e7bfda997f839c63b275e359fd
:6bd1330e8e4169846204992730118658bd4358ba
:51d12f84a05395827b0ca5eacba3836455450042
:ef25f71a40ad1a00ed1040a09ace53d1bb40f2ab
:be78bd6927c6f9124bed714168b149b812f8961e
:381b7069d555ff62cc543b6f7d3053b9fdcf2c20
:022da052975093368daac7c4e8e95101bfc78495
:3e08f14ed2767ff642c7477a25b63214050e42cb
:8eccdbc9b66200df988d3589528aa9d143329504
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:5df361c26dcd06bc301db9bf05251f4f743f8a51
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:6d72191d5fb3bf4d12cb83859e0e6261d865ee46
:be507c791e34415e8f42f0e6030c889b2895cf9a

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/lib64/libavahi-glib.so.1.0.2 avahi-glib-0.6.30-4.fc16.x86_64 (Fedora Project) 1314538344
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.35.90-1.fc16.x86_64 (Fedora Project) 1314957853
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1314957724
:/lib64/libresolv-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1314537851
:/usr/lib64/libgstbase-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1314532495
:/lib64/libpthread-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1314532495
:/usr/lib64/dmapd/0.0.37/modules/libav-meta-reader-gst.so dmapd-0.0.37-1.fc16.x86_64 (Fedora Project) 1316118881
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1314532292
:/usr/lib64/libgstapp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1314532591
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1314536654
:/lib64/libdl-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/lib64/libdmapsharing-3.0.so.2.9.12 libdmapsharing-2.9.12-1.fc16.x86_64 (Fedora Project) 1314538579
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1314532291
:/lib64/libc-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/lib64/libgthread-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1315575812
:/lib64/librt-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/usr/sbin/dmapd dmapd-0.0.37-1.fc16.x86_64 (Fedora Project) 1316118881
:/usr/lib64/libdmapd.so.0.0.37 dmapd-0.0.37-1.fc16.x86_64 (Fedora Project) 1316118881
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1314537844
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1314532291
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1314537844
:/lib64/ld-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1315575775
:/lib64/libgobject-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1315575812
:/lib64/libglib-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1315575812
:/lib64/libgmodule-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1315575812
:/lib64/libgio-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1315575812
:/lib64/libselinux.so.1 libselinux-2.1.5-4.fc16.x86_64 (Fedora Project) 1315906386

environ:
:XDG_VTNR=1
:rvm_gemsets_path=/home/matteo/.rvm/gemsets
:rvm_scripts_path=/home/matteo/.rvm/scripts
:XDG_SESSION_ID=3
:rvm_bin_path=/home/matteo/.rvm/bin
:HOSTNAME=violet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GEM_HOME=/home/matteo/.rvm/gems/ruby-head
:GPG_AGENT_INFO=/tmp/keyring-Crutnd/gpg:0:1
:rvm_man_path=/home/matteo/.rvm/man
:TERM=xterm
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=918e57021f2cbe395172221e0000001c-1315740451.583376-745730358
:HISTSIZE=1000
:IRBRC=/home/matteo/.rvm/rubies/ruby-head/.irbrc
:rvm_user_path=/home/matteo/.rvm/user
:GJS_DEBUG_OUTPUT=stderr
:rvm_wrappers_path=/home/matteo/.rvm/wrappers
:WINDOWID=27262982
:OLDPWD=/usr/share/doc/dmapd-0.0.37
:QTDIR=/usr/lib64/qt-3.3
:rvm_patches_path=/home/matteo/.rvm/patches
:GNOME_KEYRING_CONTROL=/tmp/keyring-Crutnd
:QTINC=/usr/lib64/qt-3.3/include
:rvm_docs_path=/home/matteo/.rvm/docs
:MY_RUBY_HOME=/home/matteo/.rvm/rubies/ruby-head
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:rvm_verbose_flag=0
:IMSETTINGS_MODULE=none
:USER=matteo
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:rvm_gems_cache_path=/home/matteo/.rvm/gems/cache
:rvm_path=/home/matteo/.rvm
:rvm_debug_flag=0
:SSH_AUTH_SOCK=/tmp/keyring-Crutnd/ssh
:USERNAME=matteo
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1761,unix/unix:/tmp/.ICE-unix/1761
:rvm_prefix=/home/matteo
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/matteo
:PATH=/home/matteo/.rvm/gems/ruby-head/bin:/home/matteo/.rvm/gems/ruby-head@global/bin:/home/matteo/.rvm/rubies/ruby-head/bin:/home/matteo/.rvm/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/matteo/bin
:rvm_examples_path=/home/matteo/.rvm/examples
:rvm_rubies_path=/home/matteo/.rvm/rubies
:QT_IM_MODULE=xim
:rvm_loaded_flag=1
:PWD=/home/matteo
:XMODIFIERS=@im=none
:'EDITOR=emacs -nw'
:GNOME_KEYRING_PID=1604
:LANG=it_IT.utf8
:GDM_LANG=it_IT.utf8
:rvm_usr_path=/home/matteo/.rvm/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:rvm_src_path=/home/matteo/.rvm/src
:rvm_version=1.8.2
:SHLVL=2
:HOME=/home/matteo
:XDG_SEAT=seat0
:rvm_gems_path=/home/matteo/.rvm/gems
:rvm_ruby_string=ruby-head
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:rvm_tmp_path=/home/matteo/.rvm/tmp
:LOGNAME=matteo
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-txe2oRdwN4,guid=b7220f2d6047c7c918c16d39000000fe
:GEM_PATH=/home/matteo/.rvm/gems/ruby-head:/home/matteo/.rvm/gems/ruby-head@global
:rvm_lib_path=/home/matteo/.rvm/lib
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:rvm_repos_path=/home/matteo/.rvm/repos
:rvm_reload_flag=0
:rvm_log_path=/home/mat_DIR=/run/user/matteo
:DISPLAY=:0.0
:rvm_environments_path=/home/matteo/.rvm/environments
:rvm_archives_path=/home/matteo/.rvm/archives
:RUBY_VERSION=ruby-head
:rvm_user_install_flag=1
:XAUTHORITY=/var/run/gdm/auth-for-matteo-wFUqBy/database
:COLORTERM=gnome-terminal
:_=/usr/sbin/dmapd

maps:
:00400000-00403000 r-xp 00000000 fd:03 142600                             /usr/sbin/dmapd
:00603000-00604000 rw-p 00003000 fd:03 142600                             /usr/sbin/dmapd
:01bad000-01bce000 rw-p 00000000 00:00 0                                  [heap]
:37afa00000-37afa22000 r-xp 00000000 fd:03 152960                         /lib64/ld-2.14.90.so
:37afc21000-37afc22000 r--p 00021000 fd:03 152960                         /lib64/ld-2.14.90.so
:37afc22000-37afc23000 rw-p 00022000 fd:03 152960                         /lib64/ld-2.14.90.so
:37afc23000-37afc24000 rw-p 00000000 00:00 0 
:37afe00000-37affa6000 r-xp 00000000 fd:03 179025                         /lib64/libc-2.14.90.so
:37affa6000-37b01a6000 ---p 001a6000 fd:03 179025                         /lib64/libc-2.14.90.so
:37b01a6000-37b01aa000 r--p 001a6000 fd:03 179025                         /lib64/libc-2.14.90.so
:37b01aa000-37b01ab000 rw-p 001aa000 fd:03 179025                         /lib64/libc-2.14.90.so
:37b01ab000-37b01b1000 rw-p 00000000 00:00 0 
:37b0200000-37b0283000 r-xp 00000000 fd:03 179041                         /lib64/libm-2.14.90.so
:37b0283000-37b0482000 ---p 00083000 fd:03 179041                         /lib64/libm-2.14.90.so
:37b0482000-37b0483000 r--p 00082000 fd:03 179041                         /lib64/libm-2.14.90.so
:37b0483000-37b0484000 rw-p 00083000 fd:03 179041                         /lib64/libm-2.14.90.so
:37b0600000-37b0617000 r-xp 00000000 fd:03 179027                         /lib64/libpthread-2.14.90.so
:37b0617000-37b0816000 ---p 00017000 fd:03 179027                         /lib64/libpthread-2.14.90.so
:37b0816000-37b0817000 r--p 00016000 fd:03 179027                         /lib64/libpthread-2.14.90.so
:37b0817000-37b0818000 rw-p 00017000 fd:03 179027                         /lib64/libpthread-2.14.90.so
:37b0818000-37b081c000 rw-p 00000000 00:00 0 
:37b0a00000-37b0a02000 r-xp 00000000 fd:03 179029                         /lib64/libdl-2.14.90.so
:37b0a02000-37b0c02000 ---p 00002000 fd:03 179029                         /lib64/libdl-2.14.90.so
:37b0c02000-37b0c03000 r--p 00002000 fd:03 179029                         /lib64/libdl-2.14.90.so
:37b0c03000-37b0c04000 rw-p 00003000 fd:03 179029                         /lib64/libdl-2.14.90.so
:37b0e00000-37b0e07000 r-xp 00000000 fd:03 179028                         /lib64/librt-2.14.90.so
:37b0e07000-37b1007000 ---p 00007000 fd:03 179028                         /lib64/librt-2.14.90.so
:37b1007000-37b1008000 r--p 00007000 fd:03 179028                         /lib64/librt-2.14.90.so
:37b1008000-37b1009000 rw-p 00008000 fd:03 179028                         /lib64/librt-2.14.90.so
:37b1600000-37b1616000 r-xp 00000000 fd:03 171958                         /lib64/libz.so.1.2.5
:37b1616000-37b1816000 ---p 00016000 fd:03 171958                         /lib64/libz.so.1.2.5
:37b1816000-37b1817000 rw-p 00016000 fd:03 171958                         /lib64/libz.so.1.2.5
:37b1a00000-37b1a1d000 r-xp 00000000 fd:03 179034                         /lib64/libselinux.so.1
:37b1a1d000-37b1c1c000 ---p 0001d000 fd:03 179034                         /lib64/libselinux.so.1
:37b1c1c000-37b1c1d000 r--p 0001c000 fd:03 179034                         /lib64/libselinux.so.1
:37b1c1d000-37b1c1e000 rw-p 0001d000 fd:03 179034                         /lib64/libselinux.so.1
:37b1c1e000-37b1c1f000 rw-p 00000000 00:00 0 
:37b1e00000-37b1f1e000 r-xp 00000000 fd:03 179045                         /lib64/libglib-2.0.so.0.2990.0
:37b1f1e000-37b211e000 ---p 0011e000 fd:03 179045                         /lib64/libglib-2.0.so.0.2990.0
:37b211e000-37b211f000 r--p 0011e000 fd:03 179045                         /lib64/libglib-2.0.so.0.2990.0
:37b211f000-37b2120000 rw-p 0011f000 fd:03 179045                         /lib64/libglib-2.0.so.0.2990.0
:37b2120000-37b2121000 rw-p 00000000 00:00 0 
:37b2200000-37b2217000 r-xp 00000000 fd:03 179033                         /lib64/libresolv-2.14.90.so
:37b2217000-37b2417000 ---p 00017000 fd:03 179033                         /lib64/libresolv-2.14.90.so
:37b2417000-37b2418000 r--p 00017000 fd:03 179033                         /lib64/libresolv-2.14.90.so
:37b2418000-37b2419000 rw-p 00018000 fd:03 179033                         /lib64/libresolv-2.14.90.so
:37b2419000-37b241b000 rw-p 00000000 00:00 0 
:37b2600000-37b2604000 r-xp 00000000 fd:03 179046                         /lib64/libgthread-2.0.so.0.2990.0
:37b2604000-37b2803000 ---p 00004000 fd:03 179046                         /lib64/libgthread-2.0.so.0.2990.0
:37b2803000-37b2804000 r--p 00003000 fd:03 179046                         /lib64/libgthread-2.0.so.0.2990.0
:37b2804000-37b2805000 rw-p 00004000 fd:03 179046                         /lib64/libgthread-2.0.so.0.2990.0
:37b2a00000-37b2a4e000 r-xp 00000000 fd:03 179048                         /lib64/libgobject-2.0.so.0.2990.0
:37b2a4e000-37b2c4e000 ---p 0004e000 fd:03 179048                         /lib64/libgobject-2.0.so.0.2990.0
:37b2c4e000-37b2c4f000 r--p 0004e000 fd:03 179048                         /lib64/libgobject-2.0.so.0.2990.0
:37b2c4f000-37b2c50000 rw-p 0004f000 fd:03 179048                         /lib64/libgobject-2.0.so.0.2990.0
:37b2c50000-37b2c51000 rw-p 00000000 00:00 0 
:37b2e00000-37b2e07000 r-xp 00000000 fd:03 179047                         /usr/lib64/libffi.so.5.0.10
:37b2e07000-37b3006000 ---p 00007000 fd:03 179047                         /usr/lib64/libffi.so.5.0.10
:37b3006000-37b3007000 r--p 00006000 fd:03 179047                         /usr/lib64/libffi.so.5.0.10
:37b3007000-37b3008000 rw-p 00007000 fd:03 179047                         /usr/lib64/libffi.so.5.0.10
:37b3200000-37b3203000 r-xp 00000000 fd:03 179049                         /lib64/libgmodule-2.0.so.0.2990.0
:37b3203000-37b3402000 ---p 00003000 fd:03 179049                         /lib64/libgmodule-2.0.so.0.2990.0
:37b3402000-37b3403000 r--p 00002000 fd:03 179049                         /lib64/libgmodule-2.0.so.0.2990.0
:37b3403000-37b3404000 rw-p 00003000 fd:03 179049                         /lib64/libgmodule-2.0.so.0.2990.0
:37b4600000-37b4744000 r-xp 00000000 fd:03 179050                         /lib64/libgio-2.0.so.0.2990.0
:37b4744000-37b4943000 ---p 00144000 fd:03 179050                         /lib64/libgio-2.0.so.0.2990.0
:37b4943000-37b4947000 r--p 00143000 fd:03 179050                         /lib64/libgio-2.0.so.0.2990.0
:37b4947000-37b4949000 rw-p 00147000 fd:03 179050                         /lib64/libgio-2.0.so.0.2990.0
:37b4949000-37b494b000 rw-p 00000000 00:00 0 
:37b4a00000-37b4a43000 r-xp 00000000 fd:03 179090                         /lib64/libdbus-1.so.3.5.6
:37b4a43000-37b4c42000 ---p 00043000 fd:03 179090                         /lib64/libdbus-1.so.3.5.6
:37b4c42000-37b4c43000 r--p 00042000 fd:03 179090                         /lib64/libdbus-1.so.3.5.6
:37b4c43000-37b4c44000 rw-p 00043000 fd:03 179090                         /lib64/libdbus-1.so.3.5.6
:37b5a00000-37b5a26000 r-xp 00000000 fd:03 179071                         /usr/lib64/libpng12.so.0.46.0
:37b5a26000-37b5c25000 ---p 00026000 fd:03 179071                         /usr/lib64/libpng12.so.0.46.0
:37b5c25000-37b5c26000 r--p 00025000 fd:03 179071                         /usr/lib64/libpng12.so.0.46.0
:37b5c26000-37b5c27000 rw-p 00026000 fd:03 179071                         /usr/lib64/libpng12.so.0.46.0
:37b7a00000-37b7b50000 r-xp 00000000 fd:03 179059                         /usr/lib64/libxml2.so.2.7.8
:37b7b50000-37b7d50000 ---p 00150000 fd:03 179059                         /usr/lib64/libxml2.so.2.7.8
:37b7d50000-37b7d59000 rw-p 00150000 fd:03 179059                         /usr/lib64/libxml2.so.2.7.8
:37b7d59000-37b7d5b000 rw-p 00000000 00:00 0 
:37b8e00000-37b8e21000 r-xp 00000000 fd:03 179085                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
:37b8e21000-37b9020000 ---p 00021000 fd:03 179085                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
:37b9020000-37b9021000 r--p 00020000 fd:03 179085                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
:37b9021000-37b9022000 rw-p 00021000 fd:03 179085                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
:37c4e00000-37c4edd000 r-xp 00000000 fd:03 159763                         /usr/lib64/libgstreamer-0.10.so.0.29.0
:37c4edd000-37c50dd000 ---p 000dd000 fd:03 159763                         /usr/lib64/libgstreamer-0.10.so.0.29.0
:37c50dd000-37c50e3000 rw-p 000dd000 fd:03 159763                         /usr/lib64/libgstreamer-0.10.so.0.29.0
:37c50e3000-37c50e5000 rw-p 00000000 00:00 0 
:37c6200000-37c6263000 r-xp 00000000 fd:03 178302                         /usr/lib64/libsoup-2.4.so.1.4.0
:37c6263000-37c6463000 ---p 00063000 fd:03 178302                         /usr/lib64/libsoup-2.4.so.1.4.0
:37c6463000-37c6465000 r--p 00063000 fd:03 178302                         /usr/lib64/libsoup-2.4.so.1.4.0
:37c6465000-37c6467000 rw-p 00065000 fd:03 178302                         /usr/lib64/libsoup-2.4.so.1.4.0
:37c6467000-37c6468000 rw-p 00000000 00:00 0 
:37c6600000-37c660b000 r-xp 00000000 fd:03 148681                         /usr/lib64/libavahi-common.so.3.5.3
:37c660b000-37c680b000 ---p 0000b000 fd:03 148681                         /usr/lib64/libavahi-common.so.3.5.3
:37c680b000-37c680c000 r--p 0000b000 fd:03 148681                         /usr/lib64/libavahi-common.so.3.5.3
:37c680c000-37c680d000 rw-p 0000c000 fd:03 148681                         /usr/lib64/libavahi-common.so.3.5.3
:37c6e00000-37c6e10000 r-xp 00000000 fd:03 179166                         /usr/lib64/libavahi-client.so.3.2.9
:37c6e10000-37c700f000 ---p 00010000 fd:03 179166                         /usr/lib64/libavahi-client.so.3.2.9
:37c700f000-37c7010000 r--p 0000f000 fd:03 179166                         /usr/lib64/libavahi-client.so.3.2.9
:37c7010000-37c7011000 rw-p 00010000 fd:03 179166                         /usr/lib64/libavahi-client.so.3.2.9
:37c7200000-37c7203000 r-xp 00000000 fd:03 179165                         /usr/lib64/libavahi-glib.so.1.0.2
:37c7203000-37c7402000 ---p 00003000 fd:03 179165                         /usr/lib64/libavahi-glib.so.1.0.2
:37c7402000-37c7403000 r--p 00002000 fd:03 179165                         /usr/lib64/libavahi-glib.so.1.0.2
:37c7403000-37c7404000 rw-p 00003000 fd:03 179165                         /usr/lib64/libavahi-glib.so.1.0.2
:37c8e00000-37c8e4b000 r-xp 00000000 fd:03 179178                         /usr/lib64/libgstbase-0.10.so.0.29.0
:37c8e4b000-37c904b000 ---p 0004b000 fd:03 179178                         /usr/lib64/libgstbase-0.10.so.0.29.0
:37c904b000-37c904c000 rw-p 0004b000 fd:03 179178                         /usr/lib64/libgstbase-0.10.so.0.29.0
:37cd400000-37cd40b000 r-xp 00000000 fd:03 179199                         /usr/lib64/libgstapp-0.10.so.0.24.0
:37cd40b000-37cd60b000 ---p 0000b000 fd:03 179199                         /usr/lib64/libgstapp-0.10.so.0.24.0
:37cd60b000-37cd60c000 rw-p 0000b000 fd:03 179199                         /usr/lib64/libgstapp-0.10.so.0.24.0
:7f27a16dd000-7f27a16e1000 r-xp 00000000 fd:03 524335                     /usr/lib64/dmapd/0.0.37/modules/libav-meta-reader-gst.so
:7f27a16e1000-7f27a18e0000 ---p 00004000 fd:03 524335                     /usr/lib64/dmapd/0.0.37/modules/libav-meta-reader-gst.so
:7f27a18e0000-7f27a18e1000 rw-p 00003000 fd:03 524335                     /usr/lib64/dmapd/0.0.37/modules/libav-meta-reader-gst.so
:7f27a18e1000-7f27a18ee000 rw-p 00000000 00:00 0 
:7f27a18ee000-7f27a1918000 r-xp 00000000 fd:03 149576                     /usr/lib64/libdmapsharing-3.0.so.2.9.12
:7f27a1918000-7f27a1b17000 ---p 0002a000 fd:03 149576                     /usr/lib64/libdmapsharing-3.0.so.2.9.12
:7f27a1b17000-7f27a1b1a000 r--p 00029000 fd:03 149576                     /usr/lib64/libdmapsharing-3.0.so.2.9.12
:7f27a1b1a000-7f27a1b1c000 rw-p 0002c000 fd:03 149576                     /usr/lib64/libdmapsharing-3.0.so.2.9.12
:7f27a1b1c000-7f27a1b25000 rw-p 00000000 00:00 0 
:7f27a1b25000-7f27a1b30000 r-xp 00000000 fd:03 142596                     /usr/lib64/libdmapd.so.0.0.37
:7f27a1b30000-7f27a1d30000 ---p 0000b000 fd:03 142596                     /usr/lib64/libdmapd.so.0.0.37
:7f27a1d30000-7f27a1d31000 rw-p 0000b000 fd:03 142596                     /usr/lib64/libdmapd.so.0.0.37
:7f27a1d43000-7f27a1d4a000 r--s 00000000 fd:03 169679                     /usr/lib64/gconv/gconv-modules.cache
:7f27a1d4a000-7f27a1d4b000 rw-p 00000000 00:00 0 
:7fff1f9af000-7fff1f9d1000 rw-p 00000000 00:00 0                          [stack]
:7fff1f9ff000-7fff1fa00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:Generale
:=================================
:UUID: 865f985d-874d-4778-b52f-a20be46aa818
:OS: Fedora release 16 (Verne)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 3193.45
:Venditore CPU: AuthenticAMD
:Modello CPU: AMD E-350 Processor
:CPU Stepping: 0
:Famiglia della CPU: 20
:Numero modello CPU: 1
:Numero di CPU: 2
:Velocità CPU: 1600
:Memoria di sistema: 3540
:Swap di sistema: 5599
:Venditore: LENOVO
:Sistema: 30515QG ThinkPad X120e
:Form factor: Notebook
:Kernel: 3.1.0-0.rc5.git0.0.fc16.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(4130:5396:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:(4098:17297:6058:8684) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5397:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:(4130:5392:4130:5392) pci, None, HOST/PCI, Pavilion DM1Z-3000 Host bridge
:(4098:4884:4098:4884) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38914:6058:8684) pci, radeon, VIDEO, AMD Radeon HD 6310 GraphicsATI
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(6505:4227:6058:8689) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(4332:21001:6058:8684) pci, None, MISC, N/A
:(4098:17285:0:0) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:6058:8684) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:6058:8684) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:6058:8684) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4332:33142:4332:33173) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(4098:17303:6058:8684) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:6058:8684) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6058:8684) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:5395:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_violet-lv_root / ext4 4096 4096 12901535 11321554 11190532 3276800 3072418 3072418
:/dev/mapper/vg_violet-lv_home /home ext4 4096 4096 62475743 35655156 32481576 15867904 15750675 15750675
:/dev/sda1 /boot ext4 1024 1024 495844 414418 388818 128016 127783 127783
:

var_log_messages:
:Sep 15 22:34:45 violet yum[26914]: Installed: dmapd-0.0.37-1.fc16.x86_64
:Sep 15 22:35:57 violet kernel: [57716.912564] dmapd[27803]: segfault at 0 ip 00007f27a1b2d590 sp 00007fff1f9cea98 error 4 in libdmapd.so.0.0.37[7f27a1b25000+b000]
:Sep 15 22:35:58 violet abrt[27804]: saved core dump of pid 27803 (/usr/sbin/dmapd) to /var/spool/abrt/ccpp-2011-09-15-22:35:57-27803.new/coredump (880640 bytes)

Comment 1 W. Michael Petullo 2012-03-30 16:06:31 UTC
This dmapd package has been updated to 0.0.45. Are you still having this issue?

Comment 2 Matteo Settenvini 2012-04-07 14:18:35 UTC
I am on Fedora 17 with dmapd 0.0.47 now. It looks it works fine. Thanks!


Note You need to log in before you can comment on or make changes to this bug.